/**
 * Exemplo de utilizao do JCheckBox
 * 
 * @author Flash
 * @version 24/10/2001
 */
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class TelaCheckBox extends JFrame implements ActionListener
{
    private JCheckBox negrito;
    private JCheckBox italico;
    private JPanel panel;
    private JLabel label;
    /**
     * Constructor for objects of class TelaCheckBox
     */
    public TelaCheckBox()
    {
       panel = new JPanel( );
       negrito = opcaoCheckBox (panel, "Negrito");
       italico = opcaoCheckBox (panel, "Italico");
       label = new JLabel("Teste de mudana de estilo",JLabel.CENTER);
       label.setFont(new Font("Arial",Font.PLAIN,22));
       getContentPane().add (panel, BorderLayout.SOUTH);
       getContentPane().add (label, BorderLayout.NORTH);
    }

    // o mtodo abaixo devolve uma JCheckBox criada e
    // e acrescentada no painel p.
    // o tratamento de eventos  feito no prprio Frame

    JCheckBox opcaoCheckBox (JPanel p, String nome)
    {     
        JCheckBox c = new JCheckBox (nome);
	    c.addActionListener (this);
	    p.add(c);
  	    return c;  
    }

    public void actionPerformed (ActionEvent evt) 
    { 
      Font m = label.getFont();
      int estilo = 0;
      if (negrito.isSelected()) estilo = Font.BOLD;
      if(italico.isSelected()) estilo += Font.ITALIC;
      label.setFont(m.deriveFont(estilo));
      pack();
    }

    public static void main(String args[])
    {
        TelaCheckBox tela = new TelaCheckBox();
        tela.pack();
        tela.setVisible(true);
    }
}
